Be more careful about asserting in accessibility.
authorFrederik Gladhorn <frederik.gladhorn@digia.com>
Thu, 18 Oct 2012 14:24:37 +0000 (16:24 +0200)
committerThe Qt Project <gerrit-noreply@qt-project.org>
Sat, 27 Oct 2012 18:21:56 +0000 (20:21 +0200)
commit31b4507cf46a4be8b15e52973cf132a51bf85870
tree0d86bbcc5e45b901f7456992251e6b1b123ba463
parent8a0602873e4a224cdd3d835f3ab1b08dcc2ef246
Be more careful about asserting in accessibility.

It is possible to call the accessibility update for any widget,
even if it doesn't implement the right interfaces.

While that is bad, warning about it is better than asserting.

Change-Id: I23c0c783083f73fb816d75b2c9b78efd603edcb6
Reviewed-by: Jan Arve Sæther <jan-arve.saether@digia.com>
src/platformsupport/linuxaccessibility/atspiadaptor.cpp